Subject: Re: [net-next-2.6 PATCH] ethtool: Add n-tuple string length to drvinfo and return it

From: Peter P Waskiewicz Jr <[email-masked]>
Date: Fri, 26 Feb 2010 12:08:32 -0800

On Fri, 2010-02-26 at 05:11 -0800, David Miller wrote:
> From: Jeff Garzik <[email-masked]>
> Date: Fri, 26 Feb 2010 08:05:19 -0500
> 
> > NAK.  Did you even read the patch?
> 
> I did, brain doesn't work sometimes :-)
> 
> > We don't increase the size of struct ethtool_drvinfo, _especially_ by
> > sticking struct members into the middle of the struct.
> > 

Brain lapse.  When you mentioned ABI not being locked down until 2.6.34
is dropped, I didn't think.

I'm testing your proposed change, and once I have it working, I'll give
it to Jeff K. to get pushed along with a new userspace patch.

> > What do you think 'reserved' is for???
> 
> Right, I'll revert, thanks.